## twisted 12.0.0

=== debian/changelog ===
twisted (12.0.0-1) sid; urgency=low

  * New upstream version.
  * Add watch file
  * Bump Standards-Version

 -- Free Ekanayaka <freee@debian.org>  Tue, 17 Apr 2012 15:36:37 +0200
