=== debian/control ===
Source: twisted
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>
Build-Depends: debhelper (>=7.0.50~), python-all-dev (>= 2.6.6-3~), python-all-dbg, python-zope.interface-dbg, patch
Build-Conflicts: python-setuptools
XS-Python-Version: all
Standards-Version: 3.9.3

Package: python-twisted-core
Architecture: all
Depends: ${python:Depends}, python-twisted-bin (>= ${source:Version}), python-zope.interface (>= 3.5), python (>= 2.5), ${misc:Depends}
Suggests: python-tk, python-gtk2, python-glade2, python-qt3, python-wxgtk2.8
Recommends: python-openssl, python-pam, python-serial
Conflicts: python2.3-twisted, python2.4-twisted, python2.3-twisted-core, python2.4-twisted-core
Replaces: python2.3-twisted, python2.4-twisted, python2.3-twisted-core, python2.4-twisted-core
Provides: ${python:Provides}
Description: Event-based framework for internet applications
 It includes a web server, a telnet server, a multiplayer RPG engine, a
 generic client and server for remote object access, and APIs for creating
 new protocols.

Package: python-twisted-bin
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: python2.3-twisted-bin, python2.4-twisted-bin
Replaces: python2.3-twisted-bin, python2.4-twisted-bin
Provides: ${python:Provides}
Suggests: python-twisted-bin-dbg
Description: Event-based framework for internet applications
 It includes a web server, a telnet server, a multiplayer RPG engine, a 
 generic client and server for remote object access, and APIs for creating 
 new protocols.

Package: python-twisted-bin-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-zope.interface-dbg, python-twisted-bin (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: Event-based framework for internet applications (debug extension)
 It includes a web server, a telnet server, a multiplayer RPG engine, a 
 generic client and server for remote object access, and APIs for creating 
 new protocols.
 .
 This package contains the extension built for the Python debug interpreter.

Package: twisted-doc
Section: doc
Priority: extra
Architecture: all
Depends: ${misc:Depends}
Suggests: python-twisted
Recommends: www-browser | postscript-viewer | pdf-viewer
Description: Official documentation of Twisted
 This contains various HOWTOs and overviews in various formats
 .
 Twisted is an event-based framework for internet applications.
 It includes a web server, a telnet server, a multiplayer RPG engine, a 
 generic client and server for remote object access, and APIs for creating 
 new protocols.

Package: python-twisted
Architecture: all
Priority: extra
Depends: ${python:Depends}, python-twisted-core (>= 12.0), python-twisted-conch (>= 1:12.0), python-twisted-mail (>= 12.0), python-twisted-lore (>= 12.0), python-twisted-names (>= 12.0), python-twisted-news (>= 12.0), python-twisted-runner (>= 12.0), python-twisted-web (>= 12.0), python-twisted-words (>= 12.0), ${misc:Depends}
Provides: ${python:Provides}
Description: Event-based framework for internet applications (dependency package)
 This is a dependency package that depends on the twisted core library and
 all the libraries split out to separate packages starting with Twisted-2.0.1.
