## twisted 12.2.0

=== debian/changelog ===
twisted (12.2.0-1) experimental; urgency=low

  * New upstream version
  * Drop the _epoll.so C extension, as Twisted now supports only
    Python >= 2.6 and there's stdlib support for epoll since 2.6
  * Add sendmsg.so C extension to python-twisted-bin

 -- Free Ekanayaka <freee@debian.org>  Tue, 11 Sep 2012 10:06:25 +0200
