=== debian/rules ===
--- 
+++ 
@@ -53,14 +53,15 @@
 	dh_movefiles -ppython-twisted-bin \
 	  --sourcedir=debian/python-twisted-core \
 	    $(call py_libdir,$*)/twisted/internet/_sigchld.so \
-	    $(call py_libdir,$*)/twisted/python/_epoll.so \
 	    $(call py_libdir,$*)/twisted/python/_initgroups.so \
+	    $(call py_libdir,$*)/twisted/python/sendmsg.so \
 	    $(call py_libdir,$*)/twisted/test/raiser.so
 else
 	dh_movefiles -ppython-twisted-bin \
 	  --sourcedir=debian/python-twisted-core \
 	    $(call py_libdir,$*)/twisted/internet/_sigchld.so \
 	    $(call py_libdir,$*)/twisted/python/_initgroups.so \
+	    $(call py_libdir,$*)/twisted/python/sendmsg.so \
 	    $(call py_libdir,$*)/twisted/test/raiser.so
 endif
