=== debian/watch ===
version=3
http://twistedmatrix.com/Releases/Core/(\d\d\.\d)/TwistedCore-([\d\.]*)\.tar\.bz2
