=== debian/control ===
--- 
+++ 
@@ -1,16 +1,21 @@
 Source: twisted
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Free Ekanayaka <freee@debian.org>
-Build-Depends: debhelper (>=7.0.50~), python-all-dev (>= 2.6.6-3~), python-all-dbg, python-zope.interface-dbg, patch
+Build-Depends: debhelper (>=7.0.50~),
+ python-all-dev (>= 2.6.6-3~), python-all-dbg, python-zope.interface-dbg,
+ python3-all-dev (>= 3.3), python3-all-dbg, python3-zope.interface-dbg,
+ patch
+#Build-Depends-Indep: python-pydoctor
 Build-Conflicts: python-setuptools
 XS-Python-Version: all
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: python-twisted-core
 Architecture: all
-Depends: ${python:Depends}, python-twisted-bin (>= ${source:Version}), python-zope.interface (>= 3.5), python (>= 2.5), ${misc:Depends}
+Depends: ${python:Depends}, python-twisted-bin (>= ${source:Version}), python-zope.interface (>= 3.6), python (>= 2.5), ${misc:Depends}
 Suggests: python-tk, python-gtk2, python-glade2, python-qt3, python-wxgtk2.8
 Recommends: python-openssl, python-pam, python-serial
 Conflicts: python2.3-twisted, python2.4-twisted, python2.3-twisted-core, python2.4-twisted-core
@@ -45,6 +50,39 @@
  .
  This package contains the extension built for the Python debug interpreter.
 
+#Package: python3-twisted-core
+#Architecture: all
+#Depends: ${python3:Depends}, python3 (>= 3.3), python3-twisted-bin (>= ${source:Version}), python3-zope.interface (>= 3.6), ${misc:Depends}
+#Suggests: python3-tk, python3-gtk2, python3-glade2, python3-qt4, python3-wxgtk2.8
+#Recommends: python3-openssl, python3-pam, python3-serial
+#Provides: ${python:Provides}
+#Description: Event-based framework for internet applications
+# It includes a web server, a telnet server, a multiplayer RPG engine, a
+# generic client and server for remote object access, and APIs for creating
+# new protocols.
+
+#Package: python3-twisted-bin
+#Architecture: any
+#Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+#Provides: ${python:Provides}
+#Suggests: python3-twisted-bin-dbg
+#Description: Event-based framework for internet applications
+# It includes a web server, a telnet server, a multiplayer RPG engine, a 
+# generic client and server for remote object access, and APIs for creating 
+# new protocols.
+
+#Package: python3-twisted-bin-dbg
+#Priority: extra
+#Section: debug
+#Architecture: any
+#Depends: python3-zope.interface-dbg, python3-twisted-bin (= ${binary:Version}), python3-dbg, ${shlibs:Depends}, ${misc:Depends}
+#Description: Event-based framework for internet applications (debug extension)
+# It includes a web server, a telnet server, a multiplayer RPG engine, a 
+# generic client and server for remote object access, and APIs for creating 
+# new protocols.
+# .
+# This package contains the extension built for the Python debug interpreter.
+
 Package: twisted-doc
 Section: doc
 Priority: extra
