## twisted 13.1.0

=== debian/changelog ===
twisted (13.1.0-1) unstable; urgency=low

  * New upstream release
  * Migrate to single-source

 -- Free Ekanayaka <freee@debian.org>  Fri, 04 Oct 2013 14:20:11 +0200
